Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.codecs
Class HttpResponseWriter

    java.lang.Object
      org.apache.http.impl.nio.codecs.AbstractMessageWriter
          org.apache.http.impl.nio.codecs.HttpResponseWriter

All Implemented Interfaces:
  NHttpMessageWriter

Deprecated. (4.1) use `DefaultHttpResponseWriter`

    @Deprecated
    public class HttpResponseWriter

extends AbstractMessageWriter

Default `NHttpMessageWriter` implementation for `HttpResponse`s.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.impl.nio.codecs.AbstractMessageWriter
`lineBuf, lineFormatter, sessionBuffer`

Constructor Summary
`HttpResponseWriter(SessionOutputBuffer buffer, LineFormatter formatter, HttpParams params)` Deprecated.

Method Summary
`protected void` | `writeHeadLine(HttpMessage message)` Deprecated. Writes out the first line of `HttpMessage`.

Methods inherited from class org.apache.http.impl.nio.codecs.AbstractMessageWriter
`reset, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpResponseWriter

    public HttpResponseWriter(SessionOutputBuffer buffer,
                              LineFormatter formatter,
                              HttpParams params)

  Deprecated.

Method Detail

### writeHeadLine

    protected void writeHeadLine(HttpMessage message)
                          throws IOException

  Deprecated.
  Description copied from class: `AbstractMessageWriter`
  Writes out the first line of `HttpMessage`.

  Specified by:
    `writeHeadLine` in class `AbstractMessageWriter`
  Parameters:
    `message` - HTTP message.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.